#
# spec file for package pan
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           pan
Version:        0.134
Release:        3.3.1
License:        GPLv2+
Summary:        A Powerful Newsreader for GNOME
Url:            http://pan.rebelbase.com/
Group:          Productivity/Networking/News/Clients
Source:         http://pan.rebelbase.com/download/releases/0.134/source/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM fix-desktop-file-11.0.diff -- validate desktop file
Patch0:         fix-desktop-file-11.0.diff
# PATCH-FIX-UPSTREAM pan-0.134-handle-nzb-multipart.patch -- fix nzb handling of multipart messages
Patch1:         pan-0.134-handle-nzb-multipart.patch
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gmime-2.4)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtkspell-2.0)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PAN is a very powerful newsreader. Its user interface is loosely based
on other popular newsreaders.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch0
%patch1
sed -i -e "s,sr@Latn,sr@latin," configure
sed -i -e "s,sr@Latn,sr@latin," po/LINGUAS
sed -i -e "s,sr@Latn,sr@latin," pan.desktop
mv po/sr@Latn.po po/sr@latin.po

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%makeinstall
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file %name Network News
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%if 0%{?suse_version} > 1130

%post
%desktop_database_post
%endif

%if 0%{?suse_version} > 1130

%postun
%desktop_database_postun
%endif

%files
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO COPYING
%{_bindir}/pan
%{_datadir}/applications/pan.desktop
%{_datadir}/pixmaps/pan.png

%files lang -f %{name}.lang

%changelog
* Mon May 30 2011 sbrabec@suse.cz
- Merged changes from Daniel Rahn and openSUSE:Factory.
* Mon May 30 2011 daniel.rahn@novell.com
- fix nzb handling of multipart messages
  (pan-0.134-handle-nzb-multipart.patch, bnc#685759)
* Sun Feb 20 2011 vuntz@opensuse.org
- Update to version 0.134:
  + No window icon when running in NZB-mode. (bgo#574419)
  + Use GRegex instead of PCRE. (bgo#596653)
  + Tooltips missing from two 'Post Article' toolbar buttons.
    (bgo#548860)
  + Infinite loop with server that doesn't support LIST NEWSGROUPS.
    (bgo#545220)
  + Add port to server dialog. (bgo#527313)
  + Support 64 bit article numbers. (bgo#549655)
  + Don't queue xover for 0 connections. (bgo#596682)
  + Make wrapping honor changes in compose-wrap pref. (bgo#596680)
  + Change nzb task saving delay & add pref. (bgo#596683)
  + Port to GMime 2.4 & 2.5. (bgo#541676, bnc#683008)
  + Spawn editor asynchronously. (bgo#465763)
  + Change allocation buffer for article tree.
  + Save some more memory by re-ordering a few variables.
  + Don't save files as executable.
  + Fix handling of multibyte spaces in text-massager.
  + Re-write multipart handling for viewing.
  + Change default mime-type for incoming attachments. (bgo#135734)
  + Add some additional mime types.
  + Fix bug in multipart article mids.
  + Add console support for windows.
  + Update filter-info and scorefile-test to support non-overview
    headers.
  + Skip non-overview test if not cached.
  + Allow scoring article on all headers.
  + Promote rescore_articles to data interface.
  + Update score when article is cached.
  + Add regex support to search. (bgo#351196)
  + Additional info for about & User-Agent. (bgo#424083)
  + Allow subject line use in save path. (bgo#403797)
  + Improve regexes used for squashing subject line.
  + Reduce memory allocation for multiparts.
  + Allow newsrc paths relative to PAN_HOME.
  + Save tasks on exit. (bgo#609355)
  + Always show full revision info in UA hdr.
  + Remember size of post window.
  + Add tests for subject line.
  + Make separator user configurable.
  + Add support for Face header.
  + Fix various crashes.
  + Stop using deprecated API and behaviors (including bgo#579753,
    bgo#596648).
  + Build fixes (including bgo#573722).
  + Updated translations.
- Update fix-desktop-file-11.0.diff to apply without fuzz.
- Drop pan-0.133-gcc44.patch: fixed upstream.
- Drop pan-gmime24.patch: fixed upstream.
- Remove pcre-devel BuildRequires as pan now uses GRegex.
- Remove xf86tools Requires: this is now provided by x11-tools, and
  there is nothing useful for pan there.
* Sat Feb 12 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Sun Aug 22 2010 dimstar@opensuse.org
- Switch to gmime 2.4:
  + Change gmime-devel BuildRequires to pkgconfig(gmime-2.4).
  + Add pan-gmime24.patch in order to be able to build against gmime
    2.4; taken from http://github.com/lostcoder/pan2/commit/eb4a0e36
  + Call autoreconf, as pan-gmime24.patch touches configure.in.
- Change gtk2-devel BuildRequires to pkgconfig(gtk+-2.0) and
  gtkspell-devel to pkgconfig(gtkspell-2.0).
- Clean spec file using spec-cleaner.
- Tag patches.
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Sat Feb 28 2009 crrodriguez@suse.de
- fix build with GCC 4.4
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Thu Feb 12 2009 drahn@suse.de
- update to stable release 0.133
- obsoletes patches for CVE-2008-2363, glib-compat and gcc 4.3
- remove esound-devel from BuildRequires
* Wed Feb 11 2009 ro@suse.de
- use sr@latin instead of sr@Latn
* Fri May 30 2008 drahn@suse.de
- fix for heap overflow (bnc#395452)
  CVE-2008-2363
* Mon Apr  7 2008 drahn@suse.de
- add glib compat layer to abstract glib API
  obsoletes previous g_assert centric patch
* Fri Feb 29 2008 ro@suse.de
- fix include file to get g_assert
* Fri Dec 14 2007 drahn@suse.de
- pan-gcc-4.3.diff - fix compilation with GCC 4.3
- fix-desktop-file-11.0.diff - fix desktop file for >10.3
* Tue Aug  7 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage.
* Sun Aug  5 2007 drahn@suse.de
- update to version 0.132 (sync with BS) "Waxed in Black"
- fix some crashes and lockups
* Fri Jan 12 2007 sbrabec@suse.cz
- Spec file cleanup.
* Mon Jan  8 2007 ro@suse.de
- GNOME moved to /usr
* Sun Nov 19 2006 drahn@suse.de
- update to release 0.119 (sync with BS)
  - 0.119 "Karma Hunters"
  - 0.118 "Gustaf Von Musterhausen"
  - 0.117 "We'll fly and we'll fall and we'll burn"
  - multiple bugfixes and performance improvements
* Sat Nov 18 2006 stbinner@suse.de
- Fix Name entry of .desktop file post openSUSE 10.2
* Tue Sep 12 2006 drahn@suse.de
- update to release 0.112
  - 0.112 "FIXME"
  - 0.111 "Tweedy"
  - 0.110 "Beable Beable"
  - countless bugfixes in all areas
* Thu Sep  7 2006 aj@suse.de
- Build with RPM_OPT_FLAGS.
- Build against gtkspell.
* Tue Sep  5 2006 aj@suse.de
- Further cleanup of BuildRequires.
* Tue Sep  5 2006 ro@suse.de
- first step to cleanup BuildRequires
* Tue Aug 22 2006 drahn@suse.de
- update to beta 0.109
* Mon May 29 2006 drahn@suse.de
- update to beta 0.99
* Wed May  3 2006 drahn@suse.de
- update to beta 0.95
* Sun Apr 23 2006 drahn@suse.de
- update to beta 0.94
* Thu Apr 20 2006 drahn@suse.de
- update to beta release 0.93
- enable spell check
- temporarily remove preferences patch
* Sat Feb 18 2006 gekker@suse.de
- Update desktop file for UI team
* Wed Feb 15 2006 stbinner@suse.de
- fix Name/GenericName in .desktop file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 14 2005 ro@suse.de
- removed libzvt from neededforbuild (unused)
* Tue Jun 28 2005 sbrabec@suse.cz
- Call desktop-launch to get default browser (#9006).
* Sun May  1 2005 mmj@suse.de
- Fix for gcc4
- Enable parallel build
* Thu Apr 14 2005 sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Wed Mar 16 2005 clahey@suse.de
- Move desktop file so that it'll be found.
* Wed Nov 10 2004 ro@suse.de
- removed gnome1 stuff from neededforbuild
* Wed Oct 27 2004 mmj@suse.de
- Rename locale no to nb
* Tue May 11 2004 clahey@suse.de
- Added patch to use gnome-open.
* Fri Feb 20 2004 sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Wed Jan 28 2004 drahn@suse.de
- update to 0.14.2
- set default editor to gedit
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Tue Aug 19 2003 sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Fri Aug 15 2003 adrian@suse.de
- add Categories
* Mon Jul 14 2003 drahn@suse.de
- finally renamed package to PAN
- changed PREFIX to /opt/gnome
- use %%find_lang
* Mon Jun 16 2003 drahn@suse.de
- add patch for PAN incorrectly handling sockets
* Mon May 12 2003 drahn@suse.de
- update to new stable version 0.14.0
- cleanup of #neededforbuild and #usedforbuild
* Wed Jan 15 2003 drahn@suse.de
- update to new stable version 0.13.3
- bugfixes:
  * Fixed a serious 0.13.1 memory leak, and 0.13.2.92 cache
    overflow, caused by the Task Manager window.
  * Fixed a race condition that could cause Pan to crash on startup
    when the ``restore tasks?'' dialog appeared.
* Tue Nov 12 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Sat Nov  9 2002 drahn@suse.de
- update to new stable version 0.13.2
- bugfixes:
  * Fix 0.13.1 bug that crashed Pan when it encountered user-defined
    filters whose names included underscores.
  * Fix large 0.13.1 memory leak in the Task Manager.
* Mon Oct 14 2002 drahn@suse.de
- update to new stable version 0.13.1
- bugfixes:
  * Posted messages from 0.13.0 lacked the proper encoding header.
  * Fix 0.13.0 crash caused by forwarding email.
  * Fixed 0.13.0 message corruption fix in the composer when a
    signature contains 8bit characters.
  * Don't save the attachment when the user presses the escape key.
* Fri Sep 27 2002 ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Aug 23 2002 drahn@suse.de
- fixed broken desktop file (#18219)
* Mon Aug 19 2002 drahn@suse.de
- fixed wrong declarations in gmime-message-part.c
* Mon Aug 19 2002 drahn@suse.de
- update to new stable version 0.13.0
- fixed several bugs:
  * About a dozen minor memory leaks fixed
  * Fixed 0.12.0 bug where the external editor used when
  comparing a message had to use UTF-8
  * Fixed 0.12.0 bug that caused Pan to crash on mouseover
  of some URLs.
* Tue Jul 23 2002 drahn@suse.de
- Update to new stable release 0.12.1
- Fixed various bugs that would cause gnpan to loose articles
* Thu Jun 27 2002 schwab@suse.de
- Fix conflicting declarations.
* Thu Jun 27 2002 drahn@suse.de
- adjusted build process for GNOME 2.0
- fixed desktop-file for menu generation
* Fri Jun 21 2002 drahn@suse.de
- cleanup directories to fit GNOME 2.0 layout
* Thu Jun 20 2002 drahn@suse.de
- switched to stable version 0.12.0 for GNOME 2.0
- fixed some memory leaks and improved i18n
- fixed decoding of quoted-printable headers
* Wed Apr 24 2002 drahn@suse.de
- update to stable version 0.11.3
    Bug fixes:
  * Fixed bug that caused multi-part binary posts with subjects like
    (3/28) instead of (03/28) to be seen as incomplete. Thanks to Craig
    Orsinger for reporting this.
  * Fixed various memory leaks.
* Fri Feb  8 2002 drahn@suse.de
- update to stable version 0.11.2
* Sat Feb  2 2002 drahn@suse.de
- update to version 0.11.1.94
    Bug fixes:
  * Fixed 0.10.0.93 bug that caused a GUI lockup under arcane
    circumstances when reading articles.
  * Fixed 0.11.1.92 bug that caused Pan to crash when emptying
    a group which had an article displayed in the text pane.
  * Fixed 0.11.1.92 bug that caused a GUI lockup under other
    arcane circumstances.
  * Fixed 0.11.1.92 bug that caused the first article read to
    not be displayed if the user started up Pan in zoom mode.
  * Fixed several other 0.11.1.93 deadlock issues.
  * Now handles '~' in the TMPDIR environmental variable.
* Thu Jan 31 2002 drahn@suse.de
- update to version 0.11.1.93
    Bug fixes:
  * Fixed 0.11.1.92 bug that caused cached articles to not be
    marked as read when the user read them.
  * Fixed 0.11.1.92 bug that made the "Edit Filter" dialog too
    wide to fit even on large screens.
  * Fixed 0.10.0 bug where new articles that automatically get
    deleted by user-defined rules could still appear in the
    article pane.
  * Fixed a long-standing NNTP server connection corruption bug.
  * Fixed a couple of long-standing GUI thread bugs.
* Wed Jan 23 2002 drahn@suse.de
- update to version 0.11.1.92
    Bug fixes:
  * Fixed 0.11.1.90 bug that caused Pan to crash sometimes
    when reading or decoding articles.
  * Fixed 0.11.1.90 bug that caused pan to crash on a SIGPIPE
    signal when a news server connection closed unexpectedly.
  * Fixed 0.11.1.90 bug that caused Pan to not authenticate
    properly on at least one older NNTP server.
  * Fixed 0.10.0.93 memory leak that didn't free all article
    information on duplicate or user-deleted articles.
* Wed Jan  9 2002 drahn@suse.de
- update to version 0.11.1.90
    Features:
  * Support for Microsoft Secure Password Authentication ("SPA")
  * more translations
    Bug fixes:
  * fixed a huge memory leak
  * fixed thread safety bugs
  * fixed "Get New Headers" command
* Tue Dec 11 2001 hhetter@suse.de
- updated to stable version 0.11.1
  Featuring:
  * The left/right arrow keys now collapse/expand the
  currently-selected threads
  * Added 'Newsreader' to the 'Headers to Show' selection
  in the preferences
  * New Simplified Chinese translation
  * New Portuguese translation
  Bug fixes:
  * Fixed "supercede article" bug
  * Small task manager bug fixes
- setup -n pan  to build in directory pan instead of gnpan
- functionality test on i386
* Fri Nov 30 2001 drahn@suse.de
- update to version 0.11.0.92
- fixed several bugs that could cause gnpan to crash
* Tue Nov 13 2001 drahn@suse.de
- fixed SPEC file to build on (hopefully) all architectures
* Fri Nov  9 2001 drahn@suse.de
- first SuSE package - version 0.11.0
- renamed package and binary to gnpan because of conflicts with different
  package
